wmempcpy(3)

NAME
wmempcpy - wide-character memory return-offset-pointer copy

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#define _GNU_SOURCE         /* See feature_test_macros(7) */
#include <wchar.h>

wchar_t *wmempcpy(size_t n;
              wchar_t dest[restrict n], const wchar_t src[restrict n],
              size_t n);

DESCRIPTION
The wmempcpy() is the wide-character equivalent of mempcpy(3).

It is equivalent to

    wmemcpy(dest, src, n) + n

RETURN VALUE
See mempcpy(3).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
GNU.

HISTORY
glibc 2.1.

SEE ALSO
mempcpy(3)